Subject: Re: bug#37123: gnome-shell: LD_LIBRARY_PATH setting propagates to entire session

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 20 Aug 2019 21:38:58 +0200

Hi Mark,

> Since commit 2b0c755d195c79bfc95cdbe802e1e2dea1adb7a2 in August 2018,
> our 'gnome-shell' executable has been wrapped by a script that sets
> LD_LIBRARY_PATH.
>
> One consequence of this, which I just noticed, is that if 'gnome-shell'
> is based on 'core-updates' (or in my case, 'core-updates-next'), many
> programs based on 'master' will fail to run within the resulting GNOME
> session.
[…]
> I was unable to easily find an existing bug report tracking this issue,
> so I created this one.

There was no bug report about this, so thanks for reporting it.  I once
brought this issue up on the mailing list here:

    https://lists.gnu.org/archive/html/guix-devel/2019-05/msg00372.html

--
Ricardo